Skip to main content
POST
/
api
/
v2
/
apps
/
{app_id}
/
resource_types
/
{resource_type_id}
/
resources
/
{resource_id}
/
owners
/
entitlements
/
{role_slug}
/
{app_entitlement_ref_app_id}
/
{app_entitlement_ref_id}
Typescript (SDK)
import { ConductoroneSDKTypescript } from "conductorone-sdk-typescript";

const conductoroneSDKTypescript = new ConductoroneSDKTypescript({
  security: {
    bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
    oauth: "<YOUR_OAUTH_HERE>",
  },
});

async function run() {
  const result = await conductoroneSDKTypescript.appResourceOwnersV2.createEntitlementOwner({
    appId: "<id>",
    resourceTypeId: "<id>",
    resourceId: "<id>",
    roleSlug: "<value>",
    appEntitlementRefAppId: "<id>",
    appEntitlementRefId: "<id>",
  });

  console.log(result);
}

run();
{
  "appResourceOwnerEntitlement": {
    "appEntitlement": {
      "alias": "<string>",
      "annotations": {},
      "appId": "<string>",
      "appResourceId": "<string>",
      "appResourceTypeId": "<string>",
      "certifyPolicyId": "<string>",
      "complianceFrameworkValueIds": [
        "<string>"
      ],
      "createdAt": "2023-11-07T05:31:56Z",
      "defaultValuesApplied": true,
      "deletedAt": "2023-11-07T05:31:56Z",
      "deprovisionerPolicy": {
        "action": {
          "actionName": "<string>",
          "appId": "<string>",
          "connectorId": "<string>",
          "displayName": "<string>"
        },
        "connector": {
          "account": {
            "config": {},
            "connectorId": "<string>",
            "doNotSave": {},
            "saveToVault": {
              "vaultIds": [
                "<string>"
              ]
            },
            "schemaId": "<string>"
          },
          "defaultBehavior": {
            "connectorId": "<string>"
          },
          "deleteAccount": {
            "connectorId": "<string>"
          }
        },
        "delegated": {
          "appId": "<string>",
          "entitlementId": "<string>",
          "implicit": true
        },
        "externalTicket": {
          "appId": "<string>",
          "connectorId": "<string>",
          "externalTicketProvisionerConfigId": "<string>",
          "instructions": "<string>"
        },
        "manual": {
          "assignee": {
            "appOwners": {
              "allowReassignment": true,
              "fallbackUserIds": [
                "<string>"
              ]
            },
            "entitlementOwners": {
              "allowReassignment": true,
              "fallbackUserIds": [
                "<string>"
              ]
            },
            "expression": {
              "allowReassignment": true,
              "expressions": [
                "<string>"
              ],
              "fallbackUserIds": [
                "<string>"
              ]
            },
            "group": {
              "allowReassignment": true,
              "appGroupId": "<string>",
              "appId": "<string>",
              "fallbackUserIds": [
                "<string>"
              ]
            },
            "manager": {
              "allowReassignment": true,
              "fallbackUserIds": [
                "<string>"
              ]
            },
            "users": {
              "allowReassignment": true,
              "userIds": [
                "<string>"
              ]
            }
          },
          "instructions": "<string>",
          "userIds": [
            "<string>"
          ]
        },
        "multiStep": {
          "provisionSteps": "<array>"
        },
        "unconfigured": {},
        "webhook": {
          "webhookId": "<string>"
        }
      },
      "description": "<string>",
      "displayName": "<string>",
      "durationGrant": "<string>",
      "durationUnset": {},
      "emergencyGrantEnabled": true,
      "emergencyGrantPolicyId": "<string>",
      "externalId": "<string>",
      "grantCount": "<string>",
      "grantPolicyId": "<string>",
      "id": "<string>",
      "isAutomationEnabled": true,
      "isManuallyManaged": true,
      "matchBatonId": "<string>",
      "overrideAccessRequestsDefaults": true,
      "provisionerPolicy": {
        "action": {
          "actionName": "<string>",
          "appId": "<string>",
          "connectorId": "<string>",
          "displayName": "<string>"
        },
        "connector": {
          "account": {
            "config": {},
            "connectorId": "<string>",
            "doNotSave": {},
            "saveToVault": {
              "vaultIds": [
                "<string>"
              ]
            },
            "schemaId": "<string>"
          },
          "defaultBehavior": {
            "connectorId": "<string>"
          },
          "deleteAccount": {
            "connectorId": "<string>"
          }
        },
        "delegated": {
          "appId": "<string>",
          "entitlementId": "<string>",
          "implicit": true
        },
        "externalTicket": {
          "appId": "<string>",
          "connectorId": "<string>",
          "externalTicketProvisionerConfigId": "<string>",
          "instructions": "<string>"
        },
        "manual": {
          "assignee": {
            "appOwners": {
              "allowReassignment": true,
              "fallbackUserIds": [
                "<string>"
              ]
            },
            "entitlementOwners": {
              "allowReassignment": true,
              "fallbackUserIds": [
                "<string>"
              ]
            },
            "expression": {
              "allowReassignment": true,
              "expressions": [
                "<string>"
              ],
              "fallbackUserIds": [
                "<string>"
              ]
            },
            "group": {
              "allowReassignment": true,
              "appGroupId": "<string>",
              "appId": "<string>",
              "fallbackUserIds": [
                "<string>"
              ]
            },
            "manager": {
              "allowReassignment": true,
              "fallbackUserIds": [
                "<string>"
              ]
            },
            "users": {
              "allowReassignment": true,
              "userIds": [
                "<string>"
              ]
            }
          },
          "instructions": "<string>",
          "userIds": [
            "<string>"
          ]
        },
        "multiStep": {
          "provisionSteps": "<array>"
        },
        "unconfigured": {},
        "webhook": {
          "webhookId": "<string>"
        }
      },
      "requestSchemaId": "<string>",
      "revokePolicyId": "<string>",
      "riskLevelValueId": "<string>",
      "slug": "<string>",
      "sourceConnectorIds": {},
      "systemBuiltin": true,
      "updatedAt": "2023-11-07T05:31:56Z",
      "userEditedMask": "<string>"
    },
    "appId": "<string>",
    "createdAt": "2023-11-07T05:31:56Z",
    "resourceId": "<string>",
    "resourceTypeId": "<string>",
    "roleSlug": "<string>"
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Authorization
string
header
required

This API uses OAuth2 with the Client Credential flow. Client Credentials must be sent in the BODY, not the headers. For an example of how to implement this, refer to the c1TokenSource.Token() function.

Path Parameters

app_id
string
required

The appId field.

resource_type_id
string
required

The resourceTypeId field.

resource_id
string
required

The resourceId field.

role_slug
string
required

The roleSlug field.

app_entitlement_ref_app_id
string
required

The appId field.

app_entitlement_ref_id
string
required

The id field.

Body

application/json

CreateAppResourceEntitlementOwnerRequest is the request for creating an entitlement ownership source on a resource.

appEntitlementRef
App Entitlement Ref · object

The AppEntitlementRef message.

Response

200 - application/json

CreateAppResourceEntitlementOwnerResponse is the response for creating an entitlement ownership source on a resource.

CreateAppResourceEntitlementOwnerResponse is the response for creating an entitlement ownership source on a resource.

appResourceOwnerEntitlement
App Resource Owner Entitlement · object

AppResourceOwnerEntitlement represents an entitlement ownership source for an app resource.